Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.beans.metadata.spi
Interface DependencyMetaData

All Superinterfaces:
  Cloneable, org.jboss.util.JBossInterface, MetaDataVisitorNode

All Known Implementing Classes:
  AbstractDependencyMetaData

public interface DependencyMetaData
extends MetaDataVisitorNode, org.jboss.util.JBossInterface

Metadata about what a bean's dependency.

Version:
  $Revision: 1.2 $
Author:
  Adrian Brock

Method Summary
`Object` | `getDependency()` What is the dependency

Methods inherited from interface org.jboss.beans.metadata.spi.MetaDataVisitorNode
`getChildren, visit`

Methods inherited from interface org.jboss.util.JBossInterface
`clone, toShortString, toShortString`

Method Detail

### getDependency

    public Object getDependency()

  What is the dependency

  Returns:
    the dependency

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.